[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: foo has reached testing, removing versioned build-depends?

On Sat, Apr 19, 2003 at 03:43:56PM +0200, Bill Allombert wrote:
> On Sat, Apr 19, 2003 at 10:44:52AM +0200, Marcelo E. Magallon wrote:
> >  [ obDebianDevel: just in case this has become popular beleif or
> >    something like that ]
> > 
> >  from menu's 2.1.7-3 changelog:
> > 
> >   * debiandoc-sgml 1.1.75 has reached testing so remove the versionned
> >     Build-Depends.
> > 
> >  what gave you the idea that because debiandoc-sgml 1.1.75 is now in
> >  testing, you can remove the versioned build-depends?  Unless the
> >  comment is misleading, menu still depends on at least that version of
> >  debiandoc-sgml to build, doesn't it?
> Read the reason why the debiandoc-sgml *versioned* build-dep was added
> latter on in the changelog, and check the control file, and then go back
> and I will give an explanation.

I've read the changelog and the bug report closed by that earlier
change, and removing the version still makes no sense. If earlier
versions of debiandoc-sgml produce incorrect output, as reported, then
the versioned build-dep should be left there, as it will help people
trying to build with older versions to know what the problem is.


Colin Watson                                  [cjwatson@flatline.org.uk]

Reply to: